Soporte de navegador para CSS Grid

¿Cuál es la situación de soporte del navegador con respecto a CSS Grid?

Estoy mirando alrededor y tengo dificultades para entender la imagen completa de compatibilidad.

Si voy a Can I Use , parece que casi todos los navegadores lo admiten. Pero si voy a la documentación de Microsoft , la situación cambia un poco.

Parece que casi todos los navegadores son compatibles con Grid pero, a excepción de Firefox, ninguno de ellos admite todas las funciones.

Luego, con respecto a Edge, tengo que solo admite una especificación anterior que ya no se usa y la actualizada está actualmente en progreso.

Soporte de navegador para CSS Grid

  • Chrome: soporte completo a partir del 8 de marzo de 2017 (versión 57)
  • Firefox: soporte completo a partir del 6 de marzo de 2017 (versión 52)
  • Safari: soporte completo a partir del 26 de marzo de 2017 (versión 10.1)
  • Edge: soporte completo a partir del 16 de octubre de 2017 (versión 16)
  • IE11: no admite la especificación actual; admite la versión obsoleta
  • IE10: no admite la especificación actual; admite la versión obsoleta

Aquí está la imagen completa: http://caniuse.com/#search=grid (haga clic en “Mostrar todo” para más detalles)